summaryrefslogtreecommitdiff
path: root/dev-ruby/textpow
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-ruby/textpow
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadsrcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
srcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
srcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-ruby/textpow')
-rw-r--r--dev-ruby/textpow/Manifest1
-rw-r--r--dev-ruby/textpow/metadata.xml12
-rw-r--r--dev-ruby/textpow/textpow-1.4.0.ebuild27
3 files changed, 40 insertions, 0 deletions
diff --git a/dev-ruby/textpow/Manifest b/dev-ruby/textpow/Manifest
new file mode 100644
index 000000000000..e18ab07a486c
--- /dev/null
+++ b/dev-ruby/textpow/Manifest
@@ -0,0 +1 @@
+DIST textpow-1.4.0.tar.gz 386724 BLAKE2B d2fb051810cdbe26caafae62d402ba257a644ceeb5975b1bce8858e8359026bbeac7795b264c84462cc6bd02b5a110eba70338d955ba793cec8abdf194089217 SHA512 134b38e277118cf626e3e3643e447d7c7914dc89dba527682c4d6318a0d3b96edb81a68ac5e039158058de371ab9a326088cb119069c55032de7c2f1dadffdcc
diff --git a/dev-ruby/textpow/metadata.xml b/dev-ruby/textpow/metadata.xml
new file mode 100644
index 000000000000..350ce0756921
--- /dev/null
+++ b/dev-ruby/textpow/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">grosser/textpow</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-ruby/textpow/textpow-1.4.0.ebuild b/dev-ruby/textpow/textpow-1.4.0.ebuild
new file mode 100644
index 000000000000..a7207ddb80a6
--- /dev/null
+++ b/dev-ruby/textpow/textpow-1.4.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+USE_RUBY="ruby23 ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="History.rdoc README.rdoc"
+
+inherit ruby-fakegem
+
+SRC_URI="https://github.com/grosser/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+DESCRIPTION="A library to parse and process Textmate bundles"
+HOMEPAGE="http://textpow.rubyforge.org/"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/plist-3.0.1"
+
+all_ruby_prepare() {
+ sed -i -e '/git ls-files/d' textpow.gemspec || die
+}